#!/bin/sh
# ignore_partman_installation_medium_mounted.sh
#
# The Ubuntu installer (through 11.04) warns that the installation medium
# is mounted if it's not full, as may be the case when using a pre-created
# USB image. The warning cannot be preseeded away. This hook patches the
# `parted' initialization script (usually `/lib/partman/init.d/30parted')
# to allow the warning to be preseeded away.
#
set -e

. /usr/share/debconf/confmodule

PARAM='partman/installation_medium_mounted'

sed -i -e "s|^[[:space:]]*db_fset[[:space:]]*$PARAM[[:space:]]|#&|" \
  /lib/partman/init.d/[0-9][0-9]parted

