#!/bin/sh
# install_fglrx.sh

set -e

. /usr/share/debconf/confmodule

# Exit unless a desktop task has been selected.
db_get tasksel/first || RET=''
echo "$RET" | grep -q 'desktop' || exit 0

PACKAGES='fglrx fglrx-amdcccle fglrx-dev'

# Seed `fglrx/version' with a version string understood by `apt-get':
#
#     =VERSION	(equals sign followed by a version number)
#		install given version of driver, e.g. `=2:8.821-0ubuntu1'
#
#     -		(minus sign on its own)
#		remove (i.e. do not install) driver
#

db_get fglrx/version || RET=''
VERSION=$RET
if [ -n "$VERSION" ]; then
    PACKAGES=`echo $PACKAGES | sed -e "s/[[:space:]]\\|\$/${VERSION}&/g"`
fi

# `fglrx-modaliases' may have already been installed. Allow downgrade or
# removal per $VERSION.
in-target apt-get --allow-unauthenticated -q -y --force-yes install \
    fglrx-modaliases$VERSION || true

in-target apt-get --allow-unauthenticated -q -y install $PACKAGES

[ "X$VERSION" = 'X-' ] || in-target aticonfig --initial -f || true

