#!/bin/sh
# install_r8168_dkms.sh

set -e

. /usr/share/debconf/confmodule

PACKAGE='r8168-dkms'

# Exit if the package is not available.
in-target sh -c "apt-cache pkgnames '$PACKAGE' | grep -q '^$PACKAGE$'" \
  || exit 0

# Install the package.
in-target apt-get --allow-unauthenticated -q -y install $PACKAGE

# Blacklist r8169 unless `r8168-dkms/blacklist-r8169' is preseeded to
# `false'.
db_get r8168-dkms/blacklist-r8169 || RET='true'
[ "$RET" != 'false' ] || exit 0
cat >/target/etc/modprobe.d/blacklist-r8169.conf <<'END_BLACKLIST_CONF'
# replaced by r8168
blacklist r8169
END_BLACKLIST_CONF

